#!/usr/bin/env bash
set -euo pipefail

ROOT="$(git rev-parse --show-toplevel)"

find "$ROOT/src" -type f -name '*.cppm' -print0 | while IFS= read -r -d '' f; do
	clang-format -i --style=file "$f"
done
